/*
Open Picture Window Fever! v4.01 
(c) Drew McLellan 2001  
dru@dreamweaverfever.com
http://dreamweaverfever.com
Please ask permission before reusing my code.
*/

// Global
var fileExtension;


// Required
function canAcceptBehavior(){
	return 'onClick';
}

function openPictureWindow_Fever(imageType,imageName,imageWidth,imageHeight,alt,posLeft,posTop) {  // v4.01
	newWindow = window.open("","newWindow","width="+imageWidth+",height="+imageHeight+",scrollbars=no,left="+posLeft+",top="+posTop);
	newWindow.document.open();
	newWindow.document.write('<html><title>'+alt+'</title><body bgcolor="#FFFFFF" leftmargin="0" topmargin="0" marginheight="0" marginwidth="0" onBlur="self.close()">'); 
	if (imageType == "swf"){
	newWindow.document.write('<object classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" codebase=\"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=5,0,0,0\" width=\"'+imageWidth+'\" height=\"'+imageHeight+'\">');
	newWindow.document.write('<param name=movie value=\"'+imageName+'\"><param name=quality value=high>');
	newWindow.document.write('<embed src=\"'+imageName+'\" quality=high pluginspage=\"http://www.macromedia.com/shockwave/download/index.cgi?P1_Prod_Version=ShockwaveFlash\" type=\"application/x-shockwave-flash\" width=\"'+imageWidth+'\" height=\"'+imageHeight+'\">');
	newWindow.document.write('</embed></object>');	}else{
	newWindow.document.write('<img src=\"'+imageName+'\" width='+imageWidth+' height='+imageHeight+' alt=\"'+alt+'\">'); 	}
	newWindow.document.write('</body></html>');
	newWindow.document.close();
	newWindow.focus();
}

function behaviorFunction(){
	return 'openPictureWindow_Fever'
}

function applyBehavior(){
// save preferences
	savePreferences();
// Some form validation
	var errorType = "0";
// Set an error type based on which required fields are left blank	
	if (document.theForm.imageName.value == "")
		{
		errorType = "1";
		}
	if (document.theForm.alt.value == "")
		{
		errorType = "2";
		}
	if (document.theForm.imageWidth.value == "")
		{
		errorType = "3";
		}		
	if (document.theForm.imageHeight.value == "")
		{
		errorType = "4";
		}	
// Test against error type. Only insert the behavior if errorType = 0 (no errors)
// otherwise alert the user

	if (errorType == "0")
		{
		return "openPictureWindow_Fever("+"'"+fileExtension+"','"+document.theForm.imageName.value+"','"+document.theForm.imageWidth.value+"','"+document.theForm.imageHeight.value+"','"+document.theForm.alt.value+"','"+document.theForm.posLeft.value+"','"+document.theForm.posTop.value+"')";
		}
	else 
		{
		if (errorType == "1")
		{
		return "You must choose an image to display";
		}
		if (errorType == "2") 
		{
		return "You must give your window a Title";
		}
		if (errorType == "3") 
		{
		return "You must specify the width of your Image";
		}
		if (errorType == "4") 
		{
		return "You must specify the height of your Image";
		}
		else 
		{
		return "You must complete all required fields"
		}
	}
}


function inspectBehavior(msgStr){
	var argArray = getTokens(msgStr,"()',");
    myArray=argArray;
// if the value exists, load it into the UI fields.
	if (myArray[2]){	  
		document.theForm.imageName.value = myArray[2];
	}
	if (myArray[3]){	
		document.theForm.imageWidth.value = myArray[3];
	}
	if (myArray[4]){	
		document.theForm.imageHeight.value = myArray[4];
	}
	if (myArray[5]){		
		document.theForm.alt.value = myArray[5];
	}
	if (myArray[6]){		
		document.theForm.posLeft.value = myArray[6];
	}
	if (myArray[7]){		
		document.theForm.posTop.value = myArray[7];
	}
}


// The Specials   (this town is coming like a ghost town)

function browseFile(fieldToStoreURL){   // Brings up the Browse box and outputs to the imageName form field
  var fileName = "";
  fileName = browseForFileURL('select','Select An Image','true');  //returns a local filename
  if (fileName){
  	var pathArray = fileName.split(".");  	// split the file name into an array, using the period as a delimiter
  	fileExtension = pathArray[1]; 			// get the last element (hopefully the file extension!)
   	fieldToStoreURL.value = fileName;		// bung it in the field
  }
}

function updateDimensions(fileName){		// auto image dimensions
	if (fileName && document.theForm.auto.checked) {	// if there's a file name, and the auto option is selected
		var currentDoc = dw.getDocumentPath('document')
		var siteRoot = dw.getSiteRoot();
		var fullURL = dw.relativeToAbsoluteURL(currentDoc,siteRoot,fileName);	// get an absolute filesystem URL 
		
		if (fileExtension != "swf"){					
					var dimensionArray = dw.getNaturalSize(fullURL);	
		}else{
			var dimensionArray = SWFFile.getNaturalSize(fullURL);	
		}
		if(dimensionArray[0]){document.theForm.imageWidth.value = dimensionArray[0];} 		// populate the form	
		if(dimensionArray[1]){document.theForm.imageHeight.value = dimensionArray[1];}		// ditto
	 }
}

// Initialize the user interface

function initUI(){
	if(!dw.getNaturalSize){alert('Dreamweaver 4.01 or greater required to use this behavior.');}
	document.theForm.alt.value = dreamweaver.getDocumentDOM().getElementsByTagName("title").item(0).innerHTML;
	setPreferences();
	if(!dw.getNaturalSize){
		document.theForm.auto.value = false;
		document.theForm.auto.setAttribute('disabled','true');
	}
	document.theForm.imageName.focus();
}

// Preferences  (adapted from MM code)

function setPreferences() {
  var metaFile, curVal;
  if (typeof MMNotes == 'undefined') {return;} // Check for MMNotes extension.
  metaFile = MMNotes.open(document.URL, false);
  if (metaFile) {
    // Form specific settings.
    curVal = MMNotes.get(metaFile, 'Fever_pref_OPWauto');
    if (curVal){ 
		document.theForm.auto.checked = eval(curVal);
	} else {
		document.theForm.auto.checked = true;
	}
    MMNotes.close(metaFile);
  }
}

function savePreferences() {
  if (typeof MMNotes == 'undefined') {return;} // Check for MMNotes extension.
  var metaFile, curVal;
  metaFile = MMNotes.open(document.URL, true);
  if (metaFile) {
    curVal = MMNotes.set(metaFile, 'Fever_pref_OPWauto', document.theForm.auto.checked);
    MMNotes.close(metaFile);
  }
}


// Launch the help site

function displayHelp() {
	dreamweaver.browseDocument('http://dreamweaverfever.com/grow/ui/behaviors/open_picture_window_4.01.htm');
}
// and that's a wrap. call me a taxi.